services:
  bubulle-corp-public-frontend:
    image: anssi/fcsc2026-web-bubulle-corp-public-frontend:latest
    ports:
      - "8000:3000"
    networks:
      - dmz

  bubulle-corp-internal-proxy:
    image: anssi/fcsc2026-web-bubulle-corp-internal-proxy:latest
    depends_on:
      - bubulle-corp-public-frontend
      - bubulle-corp-internal-backend
    networks:
      - dmz
      - internal

  bubulle-corp-internal-backend:
    image: anssi/fcsc2026-web-bubulle-corp-internal-backend:latest
    networks:
      - internal

networks:
  dmz:
  internal:
